Vla-get-textmovement

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-textmovement vla-object )


機能
寸法値が移動したときの記入方法を取得する。


引数
  • vla-object … VLAオブジェクト(Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、Dimension、DimOrdinate、DimRadial、DimRadialLarge、DimRotated)


戻り値
acDimTextMovement 列挙型
  • acDimLineWithText: 寸法値の後ろに寸法線が記入される。
  • acMoveTextAddLeader: 寸法値は寸法線とは独立して移動し、寸法値から寸法線に引出線が記入される。
  • acMoveTextNoLeader: 寸法値は寸法線とは独立して移動し、寸法値から寸法線に引出線は記入される。


サンプル
(vl-load-com)
(defun c:Example_TextMovement()
    ;; 2 つの平行寸法を作成し、プロパティの違いを確認するユサンプル
    ;; プロパティの違いは、TextMovement を設定する
    ;;
    ;; このプロパティの効果を参照。
    ;; 1) このサンプルを実行します。
    ;; 2) 図面を入力し、マウスやキーボードで画面の左端の
    ;;    オブジェクトの寸法テキストを移動。
    ;; 3) 寸法線の位置を注意。
    ;; 4) 一番右のオブジェクトを繰り返す
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
          
    ;; 寸法の定義2こ
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 6 5 0)
          location1 (vlax-3d-point 5 7 0))

    (setq point3 (vlax-3d-point 7 5 0)
          point4 (vlax-3d-point 8 5 0)
          location2 (vlax-3d-point 5 7 0))
    
    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj1 (vla-AddDimAligned modelSpace point1 point2 location1))
    (setq dimObj2 (vla-AddDimAligned modelSpace point3 point4 location2))
    (vla-ZoomAll acadObj)

    ;; text movement を変更
    (vla-put-TextMovement dimObj1 acMoveTextNoLeader)
    (setq location1 (vlax-3d-point 5.5 7.5 0))
    (vla-put-TextPosition dimObj1 location1)
    (vla-put-TextMovement dimObj2 acDimLineWithText)
    (setq location2 (vlax-3d-point 7.5 7.5 0))
    (vla-put-TextPosition dimObj2 location2)
)


関連事項